Summary: Root crontab files used to schedule the execution of programs.
Name: crontabs
Version: 1.9
Release: 4tr
License: public domain
Group: Trustix Official
Source1: run-parts
Requires: tmpwatch
BuildRoot: /var/tmp/%{name}-root

%description
The crontabs package contains root crontab files.  Crontab is the
program used to install, uninstall or list the tables used to drive the
cron daemon.  The cron daemon checks the crontab files to see when
particular commands are scheduled to be executed.  If commands are
scheduled, it executes them.

Crontabs handles a basic system function, so it should be installed on
your system.

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/etc/cron.{hourly,daily,weekly,monthly}
mkdir -p $RPM_BUILD_ROOT/usr/bin

install -m755 %SOURCE1 $RPM_BUILD_ROOT/usr/bin/run-parts

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
/usr/bin/run-parts
%dir /etc/cron.hourly
%dir /etc/cron.daily
%dir /etc/cron.weekly
%dir /etc/cron.monthly

%changelog
* Wed Mar 16 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.9-3tr
- Rebuilt.

* Tue Sep 21 2004 Erlend Midttun <erlendbm at trustix dot org> 1.9-2tr
- We don't want the /etc/crontabs file.  Really.

* Mon Sep 20 2004 Syed Shabir <syedshabir at comodo.com> 1.9-1tr
- Updated from 1.8-4tr

* Tue Mar 23 2004 Chr. Toldnes <christht at trustix dot org> 1.8-4tr
- Remove the confusing /etc/fcrontab file

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 1.8-1tr
- Run cron scripts nearer midnight.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7-6tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7-5em
- Rebuilt against glibc 2.3.2.

* Wed Mar  5 2003 Erlend Midttun <erlendbm at trustix dot com> 1.7-4em
- Added comment about running fcrontab after changes to /etc/fcrontab.

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 1.7-3ct
- Converted to fcrontab for use in TSL 2.0

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- don't run *~ or *, files (#4740).

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- don't run .rpm{save,new,orig} files (bug #2190)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Nov 30 1998 Bill Nottingham <notting@redhat.com>
- crontab: set HOME=/

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- run-parts: skip sub-directories (e.g. CVS) found instead of complaining

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- moved crontab jobs up a bit to make sure they aren't confused by
  switching to and fro daylight savings time
  
* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- removed tmpwatch and at entries

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
